petsc-3.4.2 2013-07-02

# PetscLayoutSetSize

Sets the global size for a PetscLayout object.

### Synopsis

    #undef __FUNCT__
    #define __FUNCT__ "PetscLayoutSetSize"
    PetscErrorCode  PetscLayoutSetSize(PetscLayout map,PetscInt n)

Logically Collective on PetscLayout

### Input Parameters

| map | - pointer to the map
| n | - the global size

### Notes

Call this after the call to PetscLayoutCreate()

### Fortran Notes

Not available from Fortran

### See Also

PetscLayoutCreate(), PetscLayoutSetLocalSize(), PetscLayoutGetLocalSize(), PetscLayoutGetSize(), PetscLayoutSetUp()
PetscLayoutGetRange(), PetscLayoutGetRanges(), PetscLayoutSetBlockSize(), PetscLayoutGetBlockSize()

Level:developer
Location:src/vec/is/utils/pmap.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages